Subject: Re: [Bitcoin-development] libzerocoin released, what about a zerocoin-only alt-coin with either-or mining

From: Jorge Timón <[email-masked]>
Date: Sun, 14 Jul 2013 13:18:37 +0200

I was talking about bi-directional sacrifice.
If zerocoin has it, I want the same on top of freicoin so that btc/frc
can be traded p2p.
Why zerocoin and not the 20 other altchains are going to ask for it?
Ripplers will want it too, why not?

All the arguments in favor of this pegging use zerocoin's point of
view. Sure it would be much better for it, but are additional costs to
the bitcoin network and you cannot do it with every chain.

Merged mining is not mining the coin for free. The total reward (ie
btc + frc + nmc + dvc) should tend to equal the mining costs. But the
value comes from demand, not costs. So if people demand it more it
price will rise no matter how is mined. And if the price rises it will
make sense to spend more on mining.
"Bitcoins are worth because it costs to mine them" is a Marxian labor
thory of value argument.
It's the other way arround as Menger taught us.

On 7/13/13, Adam Back <[email-masked]> wrote:
> On Sat, Jul 13, 2013 at 11:51:14AM +0200, Jorge Timón wrote:
>>I don't see the need to peg zerocoins to bitcoins.
>
> Without a bitcoin peg on the creation cost of zerocoins, it is hard for a
> new alt-coin to have a stable value.  Bitcoin itself is volatile enough.
>
> Generally the available compute for mining is what it is, adding more
> alt-coins just dillutes the compute available for a given coin.  (Modulo
> different mining functions like scrypt vs hashcash there is some
> non-overlapping available compute because different hardware is more
> efficient, or even cost-effective at all).
>
> Merge mining is less desirable for the alt-coin - its mining is essentially
> free, on top of bitcoin mining.  Cost free is maybe a weaker starting point
> bootstrapping digital scarcity based market price.
>
> I think that serves to explain why bitcoin sacrifice as a mining method is
> a
> simple and stable cost starting point for an alt-coin.
>
>>I think this could be highly controversial [alt-coin pegging].  Maybe
>>everybody likes it, but can you expand more on the justifications to peg
>>the two currencies?
>
> Bitcoin sacrifice related applications do not require code changes to
> bitcoin itself, which avoids the discussion about fairness of which
> alt-coin
> is supported, and about sacrifice-based pegging being added or not.
>
> I dont think it necessarily hurts investors in bitcoins as it just creates
> some deflation in the supply of bitcoin.
>
>>If you're requiring one chain look at the othe for validations (miners
>>will have to validate both to mine btc) you don't need the cross-chain
>>contract, you can do it better.
>
> You can sacrifice bitcoins as a way to mine zerocoins without having the
> bitcoin network validate zerocoin.  For all bitcoin clients care the
> sacrifice could be useless.
>
> Bi-directional sacrifice is more tricky.  ie being allowed to re-create
> previously destroyed bitcoins, based on the sacrifice of zerocoin.  That
> would have other coin validation requirements.
>
> But I am not sure 1:1 is necessarily far from the right price - the price
> is
> arbitrary for a divisible token, so 1:1 is as good as any.  And the price
> equality depends on the extra functionality or value from the
> characteristics of the other coin.  The only thing I can see is zerocoin is
> more cpu expensive to validate, the coins are bigger, but provide more
> payment privacy (and so less taint).  Removing taint may mean that zercoins
> should be worth more.  However if any tainted bitcoins can be converted to
> zerocoin via sacrifice at 1:1, maybe the taint issue goes away - any coins
> that are tainted to the point of value-loss will be converted to zerocoin,
> and consequently the price to convert back should also be 1:1?
>
>>You could do something like this:
>>
>>https://bitcointalk.org/index.php?topic=31643.0
>
> p2p transfer is a good idea.
>
> Adam
>

-- 
Jorge Timón

http://freico.in/